# Frequency Polygons
# Think of it this way:  You put a dot on the top of each histogram bin.
# You then connect the dots, and you have a Freq Poly.
a<-ggplot(wdata,aes(x=weight))
a + geom_freqpoly(bins=30) +
  theme_minimal()

# like other plots, you can group and color by sex
a + geom_freqpoly(aes(color = sex, linetype = sex)) +
  scale_color_manual(values=c("black","orange")) +
  theme_minimal()

# and you can play with fill

# Dot Plots
a + geom_dotplot(aes(fill = sex))

# try to customize...
# (Empirical) Cumulative Density Function (often done together with histograms)
a + stat_ecdf(geom = "point")
a + stat_ecdf(geom = "step")

