# QQ Plots:  Comparing two distributions
# Often used to compare a distribution against a theoretical dist.
# most often used to compare a dist against a normal dist.
# Key function:  stat_qq()
# Key arguments to customize the plot:  alpha, color, shape, and size

data(mtcars)
# make sure that cyl is a factor (as we did earlier)
mtcars$cyl <- as.factor(mtcars$cyl)
head(mtcars)
class(mtcars)
q <- ggplot(mtcars, aes(sample = mpg)) 
# why sample?  compares samples of individual variables
q + stat_qq()
# again, there is no qqplot function, and no geom_qq().
# but there is a stat_qq(), so we use that.

q + stat_qq(aes(shape = cyl, color = cyl)) +
  scale_color_manual (values = c("red","blue","purple"))
# and you can use any other color specification

#And you can specify shapes too!
q + stat_qq(aes(shape = cyl, color = cyl)) +
  scale_color_manual (values = c("red","blue","purple")) +
  scale_shape_manual(values = c(0, 5, 6))
